%define		qt_ver		5.3.0
%define		major_ver	5.1

Summary:	Grantlee - set of frameworks for use with Qt 5
Summary(pl.UTF-8):	Grantlee - zbiór szkieletów do wykorzystania z Qt 5
Name:		grantlee-qt5
Version:	5.1.0
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://downloads.grantlee.org/grantlee-%{version}.tar.gz
# Source0-md5:	57989ae9f7c113e682ef1713a6f1e92a
URL:		http://www.grantlee.org/
BuildRequires:	Qt5Core-devel >= %{qt_ver}
BuildRequires:	Qt5Gui-devel >= %{qt_ver}
BuildRequires:	Qt5Network-devel >= %{qt_ver}
BuildRequires:	Qt5Script-devel >= %{qt_ver}
BuildRequires:	Qt5Sql-devel >= %{qt_ver}
BuildRequires:	Qt5Test-devel >= %{qt_ver}
BuildRequires:	Qt5WebKit-devel >= %{qt_ver}
BuildRequires:	Qt5Widgets-devel >= %{qt_ver}
BuildRequires:	Qt5XmlPatterns-devel >= %{qt_ver}
BuildRequires:	cmake >= 3.1
BuildRequires:	qt5-build >= %{qt_ver}
BuildRequires:	qt5-qmake >= %{qt_ver}
BuildRequires:	qt5-linguist >= %{qt_ver}
BuildRequires:	rpmbuild(macros) >= 1.605
Requires:	Qt5Core >= %{qt_ver}
Requires:	Qt5Gui >= %{qt_ver}
Requires:	Qt5Script >= %{qt_ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Grantlee is a string template engine based on the Django template
system and written using Qt.

%description -l pl.UTF-8
Grantlee to silnik szablonów oparty na systemie szablonów Django i
napisany przy użyciu Qt.

%package devel
Summary:	Header files for grantlee libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek grantlee
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	Qt5Core-devel >= %{qt_ver}
# only textdocument library
Requires:	Qt5Gui-devel >= %{qt_ver}
Conflicts:	grantlee-devel

%description devel
Header files for grantlee libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek grantlee.

%prep
%setup -q -n grantlee-%{version}

%build
install -d build
cd build
%cmake ..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGELOG README.md
%attr(755,root,root) %{_libdir}/libGrantlee_Templates.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libGrantlee_Templates.so.5
%attr(755,root,root) %{_libdir}/libGrantlee_TextDocument.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libGrantlee_TextDocument.so.5
%dir %{_libdir}/grantlee
%dir %{_libdir}/grantlee/%{major_ver}
%attr(755,root,root) %{_libdir}/grantlee/%{major_ver}/grantlee_defaultfilters.so
%attr(755,root,root) %{_libdir}/grantlee/%{major_ver}/grantlee_defaulttags.so
%attr(755,root,root) %{_libdir}/grantlee/%{major_ver}/grantlee_i18ntags.so
%attr(755,root,root) %{_libdir}/grantlee/%{major_ver}/grantlee_loadertags.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libGrantlee_Templates.so
%attr(755,root,root) %{_libdir}/libGrantlee_TextDocument.so
%{_includedir}/grantlee_templates.h
%{_includedir}/grantlee_textdocument.h
%{_includedir}/grantlee
%{_libdir}/cmake/Grantlee5
%changelog
* Sun Oct 16 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/grantlee-qt5.git;a=log;h=master

* Fri Oct 14 2016 Jakub Bogusz <qboosh@pld-linux.org> 3f7d548
- updated cmake and qt versions

* Sat Sep 17 2016 Bartek Szady <bszx@bszx.eu> 3f338a1
- updated to 5.1.0

* Fri Dec 04 2015 Jakub Bogusz <qboosh@pld-linux.org> c24ff63
- grantlee updated to 5.0.0 for qt5

* Sun Mar 08 2015 Jan Rękorajski <baggins@pld-linux.org> ad14ac7
- release 3 (by relup.sh)

* Sat Mar 07 2015 Jan Rękorajski <baggins@pld-linux.org> 161a7c1
- release 2 (by relup.sh)

* Sun Nov 09 2014 Bartek Szady <bszx@bszx.eu> e6fb747
- updated to 0.5.1

* Thu Dec 19 2013 Bartek Szady <bszx@bszx.eu.org> d6ac19b
- updated BuildRequires
-flto causes build error

* Sat Dec 14 2013 Bartlomiej.Szady <Bartlomiej.Szady@polsl.pl> 077b68f
- updated to 0.4.0

* Fri Mar 29 2013 Jakub Bogusz <qboosh@pld-linux.org> 92f3aa9
- updated to 0.3.0
- added link patch

* Fri Jan 21 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 22b0f6e
- up to 0.1.0

* Wed Apr 28 2010 shadzik <shadzik@pld-linux.org> 6c46a9e
- init

